Download it now!
Bug 129532 - vertical and horizontal flip does not work via macro for custom shapes
Summary: vertical and horizontal flip does not work via macro for custom shapes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-20 21:45 UTC by Regina Henschel
Modified: 2020-02-29 12:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
mirror horizontal (14.25 KB, application/vnd.oasis.opendocument.presentation)
2019-12-20 21:45 UTC, Regina Henschel
Details
mirror vertical (14.25 KB, application/vnd.oasis.opendocument.presentation)
2019-12-20 21:45 UTC, Regina Henschel
Details
rotate by 30deg (14.31 KB, application/vnd.oasis.opendocument.presentation)
2019-12-20 21:46 UTC, Regina Henschel
Details
Example of mirror by matrix in file format (9.80 KB, application/vnd.oasis.opendocument.graphics)
2019-12-21 21:49 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-12-20 21:45:22 UTC
Created attachment 156706 [details]
mirror horizontal

The attached documents contain macros. To examine the problem, you need to enable macro execution.

Open the document and allow macros.
Select the shape.
Press Alt+F11.
From the library of the document select makro "mail" and run it.

You will notice, that rotation works, but not vertical or horizontal flip.

To verify, that it is a problem for custom shapes, you can draw a Bézier-curve for example and apply the macro to the curve.

In case you have questions about the macros, please ask.
Comment 1 Regina Henschel 2019-12-20 21:45:48 UTC
Created attachment 156707 [details]
mirror vertical
Comment 2 Regina Henschel 2019-12-20 21:46:16 UTC
Created attachment 156708 [details]
rotate by 30deg
Comment 3 Regina Henschel 2019-12-21 21:49:11 UTC
Created attachment 156726 [details]
Example of mirror by matrix in file format

The error is visible too, if the draw:transform attribute contains a matrix, which specifies a reflection.
The attached document contains two shape, which have the same geometry. Only that in the draw:transform attribute of the blue shape, the operation "matrix(1 0 0 -1  0cm 0cm)" was added. That results in a mirroring on the x-axis, which is the upper edge of the page on screen.
Comment 4 Regina Henschel 2019-12-21 21:50:40 UTC
A patch is for review in https://gerrit.libreoffice.org/85670
Comment 5 Commit Notification 2020-02-26 11:05:33 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b4a6977e05d87fe0a79b266ec30e4f403404f1b4

tdf#129532 tdf#98839 fixes for mirror of custom shapes

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Regina Henschel 2020-02-29 12:17:20 UTC
Still no daily build for Windows for testing. But my work here is finished for now.